DataOrderedListTag (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.taglib.DataOrderedListTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class DataOrderedListTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                  org.richfaces.taglib.DataOrderedListTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class DataOrderedListTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DataOrderedListTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAjaxKeys(java.lang.String __ajaxKeys)`
`void` | `setColumnClasses(java.lang.String __columnClasses)`
`void` | `setComponentState(java.lang.String __componentState)`
`void` | `setFirst(java.lang.String __first)`
`void` | `setFooter(java.lang.String __footer)`
`void` | `setFooterClass(java.lang.String __footerClass)`
`void` | `setHeader(java.lang.String __header)`
`void` | `setHeaderClass(java.lang.String __headerClass)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRowClasses(java.lang.String __rowClasses)`
`void` | `setRowIndex(java.lang.String __rowIndex)`
`void` | `setRowKey(java.lang.String __rowKey)`
`void` | `setRowKeyVar(java.lang.String __rowKeyVar)`
`void` | `setRows(java.lang.String __rows)`
`void` | `setStateVar(java.lang.String __stateVar)`
`void` | `setType(java.lang.String __type)`
`void` | `setVar(java.lang.String __var)`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataOrderedListTag

    public DataOrderedListTag()

Method Detail

### setFooter

    public void setFooter(java.lang.String __footer)

### setRowClasses

    public void setRowClasses(java.lang.String __rowClasses)

### setStateVar

    public void setStateVar(java.lang.String __stateVar)

### setComponentState

    public void setComponentState(java.lang.String __componentState)

### setRowKeyVar

    public void setRowKeyVar(java.lang.String __rowKeyVar)

### setFooterClass

    public void setFooterClass(java.lang.String __footerClass)

### setAjaxKeys

    public void setAjaxKeys(java.lang.String __ajaxKeys)

### setRowKey

    public void setRowKey(java.lang.String __rowKey)

### setRowIndex

    public void setRowIndex(java.lang.String __rowIndex)

### setVar

    public void setVar(java.lang.String __var)

### setRows

    public void setRows(java.lang.String __rows)

### setType

    public void setType(java.lang.String __type)

### setColumnClasses

    public void setColumnClasses(java.lang.String __columnClasses)

### setHeader

    public void setHeader(java.lang.String __header)

### setFirst

    public void setFirst(java.lang.String __first)

### setHeaderClass

    public void setHeaderClass(java.lang.String __headerClass)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.